Page MenuHomePhabricator

Run unpublished draft purge script for CX (Week of 24/02)
Closed, ResolvedPublic

Description

Manual run of unpublished draft purge script for CX:

Run: foreachwikiindblist '%% wikipedia.dblist - special.dblist - closed.dblist' extensions/ContentTranslation/scripts/purge-unpublished-drafts.php --age-in-days=AGE --really |& tee -a ~/purgelog.txt on mwmaint1002.

  • Run 1:
  • age-in-days: 1175
  • number of drafts to purge = 4421
  • schedule: 20190226
  • Run 2:
  • age-in-days: 1100
  • number of drafts to purge = 4507
  • schedule: 20190227
  • Run 3:
  • age-in-days: 1025
  • number of drafts to purge = 4810
  • schedule: 20190228

Event Timeline

KartikMistry triaged this task as Medium priority.Feb 25 2019, 8:15 AM
KartikMistry created this task.

Mentioned in SAL (#wikimedia-operations) [2019-02-26T03:06:13Z] <kart_> Manual run of unpublished ContentTranslation draft purge script (T216983)

Mentioned in SAL (#wikimedia-operations) [2019-02-26T04:25:32Z] <kart_> Finished manual run of unpublished ContentTranslation draft purge script (T216983)

KartikMistry updated the task description. (Show Details)Feb 26 2019, 4:26 AM
KartikMistry updated the task description. (Show Details)Feb 26 2019, 8:04 AM

Mentioned in SAL (#wikimedia-operations) [2019-02-27T03:09:29Z] <kart_> Manual run of unpublished ContentTranslation draft purge script (T216983)

Mentioned in SAL (#wikimedia-operations) [2019-02-27T05:05:03Z] <kart_> Finished manual run of unpublished ContentTranslation draft purge script (T216983)

KartikMistry updated the task description. (Show Details)Feb 27 2019, 5:07 AM

Mentioned in SAL (#wikimedia-operations) [2019-02-28T03:03:51Z] <kart_> Manual run of unpublished ContentTranslation draft purge script (T216983)

Mentioned in SAL (#wikimedia-operations) [2019-02-28T06:18:09Z] <kart_> Finished manual run of unpublished ContentTranslation draft purge script (T216983)

KartikMistry updated the task description. (Show Details)Feb 28 2019, 6:27 AM

Last run show 141 slowTimer errors, so we need to reduce around 4000 drafts per run next week. It also exceeded 3 hours scheduled time.

Pginer-WMF closed this task as Resolved.Mar 4 2019, 10:28 AM